# Rename asset Rename an existing asset by updating its display name. Endpoint: PUT /auth/workspace/{workspaceId}/assets/{assetId}/file Version: 1.2.0 Security: ShuffllApiKey ## Path parameters: - `workspaceId` (string, required) Unique identifier for the workspace Example: "693fb82afd8d1c43077ba0fe" - `assetId` (string, required) Unique identifier for the asset Example: "6947b539cc95ea68854bb523" ## Request fields (application/json): - `newName` (string, required) New display name for the asset Example: "final-product-demo.mp4" ## Response 200 fields (application/json): - `success` (boolean) Example: true ## Response 400 fields (application/problem+json): - `type` (string) Example: "object" - `title` (string) Example: "Validation failed" - `message` (string) Example: "Bad Request" ## Response 401 fields (application/problem+json): - `type` (string) Example: "object" - `title` (string) Example: "Validation failed" - `message` (string) Example: "Bad Request" ## Response 404 fields (application/problem+json): - `type` (string) Example: "object" - `title` (string) Example: "Validation failed" - `message` (string) Example: "Bad Request"